Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class IndexRules.TypedRule

    java.lang.Object
      org.modeshape.search.lucene.IndexRules.TypedRule

All Implemented Interfaces:
  IndexRules.Rule

Direct Known Subclasses:
  IndexRules.NumericTypedRule

Enclosing class:
  IndexRules

    @Immutable
    protected static class IndexRules.TypedRule

extends Object
implements IndexRules.Rule

Field Summary
`protected boolean` | `canBeReference`
`protected boolean` | `fullTextSearchable`
`protected org.apache.lucene.document.Field.Index` | `index`
`protected org.apache.lucene.document.Field.Store` | `store`
`protected IndexRules.FieldType` | `type`

Constructor Summary
`protected` | `IndexRules.TypedRule(IndexRules.FieldType type, org.apache.lucene.document.Field.Store store, org.apache.lucene.document.Field.Index index, boolean canBeReference, boolean fullTextSearchable)`

Method Summary
`boolean` | `canBeReference()`
`org.apache.lucene.document.Field.Index` | `getIndexOption()`
`org.apache.lucene.document.Field.Store` | `getStoreOption()`
`IndexRules.FieldType` | `getType()`
`boolean` | `isFullTextSearchable()`
`boolean` | `isSkipped()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### canBeReference

    protected final boolean canBeReference

### fullTextSearchable

    protected final boolean fullTextSearchable

### type

    protected final IndexRules.FieldType type

### store

    protected final org.apache.lucene.document.Field.Store store

### index

    protected final org.apache.lucene.document.Field.Index index

Constructor Detail

### IndexRules.TypedRule

    protected IndexRules.TypedRule(IndexRules.FieldType type,
                                   org.apache.lucene.document.Field.Store store,
                                   org.apache.lucene.document.Field.Index index,
                                   boolean canBeReference,
                                   boolean fullTextSearchable)

Method Detail

### getType

    public IndexRules.FieldType getType()

  Specified by:
    `getType` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getType()`

### isSkipped

    public boolean isSkipped()

  Specified by:
    `isSkipped` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.isSkipped()`

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Specified by:
    `isFullTextSearchable` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.isFullTextSearchable()`

### canBeReference

    public boolean canBeReference()

  Specified by:
    `canBeReference` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.canBeReference()`

### getIndexOption

    public org.apache.lucene.document.Field.Index getIndexOption()

  Specified by:
    `getIndexOption` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getIndexOption()`

### getStoreOption

    public org.apache.lucene.document.Field.Store getStoreOption()

  Specified by:
    `getStoreOption` in interface `IndexRules.Rule`
  See Also:
    `IndexRules.Rule.getStoreOption()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.